Index: PROJECT_CORE_MPI/SWITCH_GEN/BRANCHES/v0.03/Arbiter.vhd
===================================================================
--- PROJECT_CORE_MPI/SWITCH_GEN/BRANCHES/v0.03/Arbiter.vhd	(revision 45)
+++ PROJECT_CORE_MPI/SWITCH_GEN/BRANCHES/v0.03/Arbiter.vhd	(revision 65)
@@ -46,9 +46,11 @@
 signal grant_signal : STD_LOGIC; 
 --signal not_fifo_full : STD_LOGIC;
-signal Mask : STD_LOGIC;
+signal Mask : STD_LOGIC:='0';
+signal RNW : std_logic:='0';
 begin
 --Grant<=grant_signal; -- Grant n'a pas été déclarée InOut
 Mask <= P AND (not Fifo_full);
-process(Mask, Request, North, West)-- genere de la logique purement combinatoire
+RNW<= Request And North And West;
+process(Mask, RNW, North, West)-- genere de la logique purement combinatoire
 begin
 if Mask ='0' then --cellule inactive
@@ -57,7 +59,7 @@
 East <= '1';
    else
-	Grant <= Request And North And West;
-	South <= (North) And (Not (Request And North And West));	
-	East  <= (West)  And (Not (Request And North And West));
+	Grant <= RNW;
+	South <= (North) And (Not (RNW));	
+	East  <= (West)  And (Not (RNW));
 end if;
 end process;
Index: PROJECT_CORE_MPI/SWITCH_GEN/BRANCHES/v0.03/CoreTypes.vhd
===================================================================
--- PROJECT_CORE_MPI/SWITCH_GEN/BRANCHES/v0.03/CoreTypes.vhd	(revision 45)
+++ PROJECT_CORE_MPI/SWITCH_GEN/BRANCHES/v0.03/CoreTypes.vhd	(revision 65)
@@ -24,4 +24,5 @@
 CONSTANT CORE_WWAIT_ADR : natural := CORE_BASE_ADR+566;
 CONSTANT CORE_Rank2port_BASE :NATURAL:=32;
+CONSTANT CORE_RANK_ADR : NATURAL:=CORE_BASE_ADR+CORE_Rank2Port_Base;
 CONSTANT WIN0_ADR :natural :=4;
 CONSTANT WIN1_ADR :natural :=14;
